=== plugins/gtk/Makefile ===
COMMON_SOURCES = gtk_display.c gtk_open.c gtk_control.c gtk_menu.c gtk_playlist.c gtk_modules.c gtk_preferences.c gtk_callbacks.c

gtk_SOURCES = gtk.c gtk_interface.c gtk_support.c $(COMMON_SOURCES)
gnome_SOURCES = gnome.c gnome_interface.c gnome_support.c gnome_callbacks.c $(COMMON_SOURCES)
