=== plugins/lirc/Makefile ===
lirc_SOURCES = lirc.c
